Contents

hide
<<previous   next>>

Bug 1107 : Paper size not supported by driver

Status: Solved

geopsy

General information

----WARNING---

QPrinter::setPaperSize: Illegal paper size 30

2010-06-11 08:39:41.604

main,layerPainter1,layerPainter2

Current thread:

---- thread main
static bool QGpGuiTools::Settings::printSetup(QPrinter&):649
void SciFigs::GraphicSheet::print(int):905
---- thread layerPainter1
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter2
virtual void SciFigs::LayerPainterThread::run():59

---- thread main
---- thread layerPainter1
---- thread layerPainter2
---- thread main
---- thread layerPainter1
---- thread layerPainter2

Developer comments (common to all duplicates if any)

This is a limitation of QPrinter::setPaperSize(), 'Custom' in this case. This is just a warning. Now this warning will be silently ignored and no bug report will be generated again.

Systems and versions

Windows Vista
  Qt                  4.5.3
  QGpCoreTools        1.18.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  GeopsyCore          3.3.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  QGpGuiTools         1.10.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  SciFigs             2.3.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  GeopsyGui           2.8.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  GeopsySLink         1.0.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  GeopsySLinkGui      1.0.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  geopsy              2.7.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  QGpCoreWave         0.8.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  ArrayCore           1.2.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  DinverCore          0.9.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  QGpCompatibility    0.3.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  DinverDCCore        1.5.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  QGpGuiWave          0.6.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  geopsyarray         2.2.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  MonoStation         1.5.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  geopsyhv            2.6.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)
  structureratios     0.5.0-snapshot-20100525 from geopsypack-2.1.0-snapshot-20100525	(built on 201005250705)

User comments

User reports

15512010-06-11 09:36:16